Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TamlCustomField Class Reference
TAML Reference

`#include <tamlCustom.h>`

Inheritance diagram for TamlCustomField:

## Public Member Functions
| TamlCustomField ()
virtual | ~TamlCustomField ()
virtual void | resetState (void)
void | set (const char *pFieldName, const char *pFieldValue)
void | setFieldValue (const char *pFieldName, const ColorI &fieldValue)
void | setFieldValue (const char *pFieldName, const ColorF &fieldValue)
void | setFieldValue (const char *pFieldName, const Point2I &fieldValue)
void | setFieldValue (const char *pFieldName, const Point2F &fieldValue)
void | setFieldValue (const char *pFieldName, const b2Vec2 &fieldValue)
void | setFieldValue (const char *pFieldName, const U32 fieldValue)
void | setFieldValue (const char *pFieldName, const bool fieldValue)
void | setFieldValue (const char *pFieldName, const S32 fieldValue)
void | setFieldValue (const char *pFieldName, const float fieldValue)
void | setFieldValue (const char *pFieldName, const char *fieldValue)
void | getFieldValue (ColorF &fieldValue) const
void | getFieldValue (ColorI &fieldValue) const
void | getFieldValue (Point2I &fieldValue) const
void | getFieldValue (Point2F &fieldValue) const
void | getFieldValue (b2Vec2 &fieldValue) const
void | getFieldValue (bool &fieldValue) const
void | getFieldValue (S32 &fieldValue) const
void | getFieldValue (U32 &fieldValue) const
void | getFieldValue (F32 &fieldValue) const
const char * | getFieldValue (void) const
StringTableEntry | getFieldName (void) const
bool | fieldNameBeginsWith (const char *pComparison) const
bool | isValueEmpty (void) const

## Detailed Description

See also
  TAML Reference

## Constructor & Destructor Documentation

TamlCustomField | ( |  | ) |
| inline

virtual ~TamlCustomField | ( |  | ) |
| inline virtual

## Member Function Documentation

bool fieldNameBeginsWith | ( | const char * | pComparison | ) | const
| inline

StringTableEntry getFieldName | ( | void |  | ) | const
| inline

void getFieldValue | ( | ColorF & | fieldValue | ) | const
| inline

void getFieldValue | ( | ColorI & | fieldValue | ) | const
| inline

void getFieldValue | ( | Point2I & | fieldValue | ) | const
| inline

void getFieldValue | ( | Point2F & | fieldValue | ) | const
| inline

void getFieldValue | ( | b2Vec2 & | fieldValue | ) | const
| inline

void getFieldValue | ( | bool & | fieldValue | ) | const
| inline

void getFieldValue | ( | S32 & | fieldValue | ) | const
| inline

void getFieldValue | ( | U32 & | fieldValue | ) | const
| inline

void getFieldValue | ( | F32 & | fieldValue | ) | const
| inline

const char* getFieldValue | ( | void |  | ) | const
| inline

bool isValueEmpty | ( | void |  | ) | const
| inline

virtual void resetState | ( | void |  | ) |
| inline virtual

Implements IFactoryObjectReset.

void set | ( | const char * | pFieldName,
|  | const char * | pFieldValue
| ) |  |

void setFieldValue | ( | const char * | pFieldName,
|  | const ColorI & | fieldValue
| ) |  |
| inline

void setFieldValue | ( | const char * | pFieldName,
|  | const ColorF & | fieldValue
| ) |  |
| inline

void setFieldValue | ( | const char * | pFieldName,
|  | const Point2I & | fieldValue
| ) |  |
| inline

void setFieldValue | ( | const char * | pFieldName,
|  | const Point2F & | fieldValue
| ) |  |
| inline

void setFieldValue | ( | const char * | pFieldName,
|  | const b2Vec2 & | fieldValue
| ) |  |
| inline

void setFieldValue | ( | const char * | pFieldName,
|  | const U32 | fieldValue
| ) |  |
| inline

void setFieldValue | ( | const char * | pFieldName,
|  | const bool | fieldValue
| ) |  |
| inline

void setFieldValue | ( | const char * | pFieldName,
|  | const S32 | fieldValue
| ) |  |
| inline

void setFieldValue | ( | const char * | pFieldName,
|  | const float | fieldValue
| ) |  |
| inline

void setFieldValue | ( | const char * | pFieldName,
|  | const char * | fieldValue
| ) |  |
| inline

The documentation for this class was generated from the following files:

- persistence/taml/tamlCustom.h
- persistence/taml/tamlCustom.cc